×
Namespaces

Variants
Actions

Talk:Adding the Nokia IDE for Java ME to your Eclipse installation

From Nokia Developer Wiki
Jump to: navigation, search

Contents

Gros.lalo - Instructions does not work with latest Eclipse IDE for Java Developers

I am using the latest Eclipse IDE for Java Developers (Juno) and I have tried the above intructions but it does not work. After selecting "Nokia IDE for Java ME" and clicking "Next", i get to another window titled "Install" and that is where it breaks. The operation could not be completed and the details error message is: Cannot complete the install because one or more required items could not be found. The details for this error is:

" Software being installed: Sdkfeatures 1.0.0.201206201112 (com.nokia.nde.sdkCorefeatures.feature.group 1.0.0.201206201112) Missing requirement: Sdkfeatures 1.0.0.201206201112 (com.nokia.nde.sdkCorefeatures.feature.group 1.0.0.201206201112) requires 'org.eclipse.mtj.core 0.0.0' but it could not be found "

Also, note that in the intructions it is mentioned that MTJ should not be used and yet the problem seems to be due to the fact that 'org.eclipse.mtj.core' is required. So, quite conflicting and hence confusing. Can someone comment if one can use latest Eclipse IDE for Java Developers with the Nokia SDK and how to go about?

gros.lalo 13:27, 10 August 2012 (EEST)

Najath a a -

I too faced this problem
The above instructions seems to work only for eclipse 'indigo' version.
eclipse seems to be missing some default packages in latest 'Juno' version
my suggestion is atleast for the time being to use 'Indigo' for nokia IDE


with regards

najath

najath_a_a 15:18, 10 August 2012 (EEST)

Hamishwillee - Clarification

Hi Najath

Might be worth adding this as a Template:Note or Template:Warning to the top of the article itself.

Alternatively (and perhaps even better), a troubleshooting section.

Regards

H

hamishwillee 06:34, 13 August 2012 (EEST)

Hemmat- - - Not even with 'indigo'

It doesn't work even with eclipse "indigo" version

and I have this error message

"An error occurred while collecting items to be installed session context was:(profile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=). Unable to read repository at http://nds2.fds-forum.nokia.com/nokias40sdkrepository/nokiaide/plugins/plugins/com.nokia.nde.codesnippet_1.0.0.201206201112.jar. Read timed out "


please re-test

Hemmat-_- 03:22, 18 September 2012 (EEST)

Hamishwillee - I've asked the author to follow up

... with the team responsible.

hamishwillee 06:56, 20 September 2012 (EEST)

Hamishwillee - Hemmat -Note updates to article

The article has been updated. Note firstly that Indigo or earlier is required. If you get "read time out" messages, see #Troubleshooting

hamishwillee 08:08, 28 September 2012 (EEST)

JuanNeuroX - Install SDK in Eclipse Juno

I want to know if someone could install this sdk in Eclipse Juno

JuanNeuroX 07:06, 25 October 2012 (EEST)

Hamishwillee - JuanNeuroX - Indigo or earlier is required

Or so say the experts

hamishwillee 08:32, 26 October 2012 (EEST)

JuanNeuroX - Problems install Nokia_SDK_2_0_Java

when I try to install the sdk says "JDK is not found in the system Please install JDK 1.6 or 2.0 sdk Nokia Highet" I have installed the versions jdk1.6.0_27, jdk1.6.0_33 and jdk1.7.0_04 but still I get this message .... how I can fix this?

JuanNeuroX 21:37, 26 October 2012 (EEST)

Hamishwillee - @JuanNeuroX

Hi JuanNeuroX

Best place to raise this would be this discussion forum - because it will get more eyes on the problem. Feel free to link to this article.

Regards

Hamish

hamishwillee 05:44, 29 October 2012 (EET)

Juliusa - NokiaDevEnv

after installation of the NokiaIDE for java ME, i went to open perspective and clicked other i did not see the option for NokiaDevEnv.

what could be missing?

juliusa 09:34, 2 January 2013 (EET)

Nokia Coderz - Yashwanth - Nokia App Coder

How much time it would take to download the NOKIA IDE for Java ME ?

I am using internet of 512kpbs speed.

Just now i triggered the process of download the plugin for Eclipse Indigo but its taking lot of time :(

Estimated time ? Desperately looking for a reply ...

Nokia Coderz 18:06, 21 March 2013 (EET)

Hamishwillee - Nokia Coderz - suggest ask on the forums

Hi Yashwanth


The best place to ask questions that aren't "specifically" about an article is the discussion boards because more people are watching their for comments.

The author is not likely to have a download speed that matches yours. FYI it took me less than an hour on ADLS2+.

Regards Hamish

PS Pretty much all the comments here have been addressed, and I will delete them next time I visit this page.

hamishwillee 00:59, 22 March 2013 (EET)

Fokram - Can't see nokiadevenv perspective

Hi, I installed the nokia sdk like in the process, but when I click on window -> open perspective -> other I don't see NokiaDevEnv How can I fix this?

Thanks, Ross

Fokram 19:16, 7 April 2013 (EEST)